
Infrastructure - Bug #888

cacti failing to populate data sources - possible db corruption

2010-09-27 16:24 - Rob Nahf

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_monitor Estimated time: 0.00 hour

Target version: Sprint-2010.48   

Milestone: CCI-0.6 Story Points:  

Product Version: *   

Description

At least in mn_sync_stats, cacti is failing to store the data collected into the appropriate datasource.  Debugging shows that the poller

collects the required information (the plug-ins are doing their job), but cacti internals are failing to insert 2 out of 3 values into the

associated rra.  (mn-dryad-dev).

Could be something with the mysql tables, or perhaps the poller is getting clogged (trying to process too many requests) and getting

sloppy.  

Subtasks:

Task # 987: find root cause : rebuild the DataSource in cacti Closed

History

#1 - 2010-10-07 00:32 - Dave Vieglais

- Parent task set to #908

- Milestone set to CCI-0.6

- Target version deleted (CCI-0.6)

#2 - 2010-10-07 16:51 - Rob Nahf

- Start date set to 2010-10-07

- Tracker changed from Task to Bug

#3 - 2010-10-07 16:53 - Rob Nahf

- Parent task deleted (#908)

- Tracker changed from Task to Bug

#4 - 2010-10-07 16:54 - Rob Nahf

- Target version set to Sprint-2010.40

#5 - 2010-10-11 16:31 - Matthew Jones

- Target version changed from Sprint-2010.40 to Sprint-2010.41

- Position set to 7

#6 - 2010-10-21 17:03 - Rob Nahf

- Position set to 1

- Position deleted (10)

- Target version changed from Sprint-2010.41 to Sprint-2010.42

- Position changed from 1 to 52

#7 - 2010-10-22 16:56 - Dave Vieglais
- Target version changed from Sprint-2010.42 to Sprint-2010.43

- Position set to 1

- Position changed from 1 to 53

- Position deleted (47)

#8 - 2010-10-29 17:00 - Dave Vieglais

- Target version changed from Sprint-2010.43 to Sprint-2010.45

- Position set to 3

- Position deleted (55)

#9 - 2010-11-08 20:57 - Rob Nahf

- Position deleted (19)

- Position set to 64

#10 - 2010-11-12 17:53 - Dave Vieglais

- Position deleted (73)

- Position set to 22

- Target version changed from Sprint-2010.45 to Sprint-2010.46

#11 - 2010-11-16 07:33 - Rob Nahf

Two problems are present: the MN object and MN retrieval graphs are not getting populated, seemingly due to not having enough time between

polling.  (Getting the partial result error in the logs).  Second, the mn_sync_stats is only showing 1 of 3 stats on the graphs.  It is doubtful that the

information is making it into the data source.

#12 - 2010-11-19 17:49 - Dave Vieglais

- Position deleted (35)

- Target version changed from Sprint-2010.46 to Sprint-2010.47

- Position set to 9

#13 - 2010-11-30 18:17 - Dave Vieglais

- Position deleted (33)

- Target version changed from Sprint-2010.47 to Sprint-2010.48

- Position set to 3

#14 - 2010-11-30 19:40 - Rob Nahf

- Status changed from New to In Progress

poller is taking nearly all the 5 minutes to complete the polling jobs, but was a red-herring.  The mn_health_stats.pl script was not executable after an

update.  The mn_objects and mn_retrievals graphs are running again.  Still working on mn_sync_stats.pl..

#15 - 2010-11-30 21:16 - Rob Nahf

- Status changed from In Progress to Closed

Squashed a couple tired-eyes, minor bugs (parameter misspellings and un-executable script).  Updated the troubleshooting guide to look out for

these types of errors.

#16 - 2010-11-30 21:17 - Rob Nahf

The poller is still very close to taking more than 5 minutes to complete its polling, so will need to address that in separate story.
